Page MenuHomePhabricator

Audio player not shown on android native browser
Closed, ResolvedPublic

Description

Probably related to 9649253f6b8329


On my cell phone, when browsing the desktop site, the media player for audio files is "missing", behaving much like it has a 0 height. Videos are fine. Issue is on both file pages and normal articles, on both commons and en wikipedia.

Random example file for quick reference: [[File:BWV_543-prelude.ogg]]


Version: unspecified
Severity: normal

Details

Reference
bz72975

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:46 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz72975.
bzimport added a subscriber: Unknown Object (MLST).
Bawolff created this task.Nov 4 2014, 8:44 PM
Gilles triaged this task as Normal priority.Nov 24 2014, 1:35 PM
Gilles added a subscriber: Gilles.

Tested with Chrome on my Nexus7 (Android 5.0).

Caused by missing supported player:

Check used for native ogg support is:
dummyvid.canPlayType( 'video/ogg; codecs="theora, vorbis"' )
which evaluates to: ""

Some other tests:

dummyvid.canPlayType( 'video/ogg; codecs="vorbis"' );
""
dummyvid.canPlayType( 'audio/ogg; codecs="vorbis"' );
"probably"
dummyvid.canPlayType( 'application/ogg; codecs="vorbis"' );
"probably"

TheDJ set Security to None.Mar 21 2015, 3:13 PM
TheDJ edited subscribers, added: brion; removed: Unknown Object (MLST).
Jdlrobson moved this task from Needs triage to Triaged on the Mobile board.Mar 30 2015, 5:01 PM

Change 200910 had a related patch set uploaded (by TheDJ):
Fix native ogg audio playback on Android

https://gerrit.wikimedia.org/r/200910

TheDJ moved this task from Backlog to Doing on the TimedMediaHandler board.Apr 1 2015, 12:04 AM

Change 200910 merged by jenkins-bot:
Fix native ogg audio playback on Android

https://gerrit.wikimedia.org/r/200910

TheDJ closed this task as Resolved.Apr 12 2015, 11:45 AM
TheDJ claimed this task.
TheDJ removed a project: Patch-For-Review.
TheDJ moved this task from Doing to Done on the TimedMediaHandler board.Apr 14 2015, 12:04 PM